Subject: [PATCH v4 5/5] clk/exynos5260: add clock file for exynos5260

From: [email-masked] (Tomasz Figa)
Date: Mon, 10 Mar 2014 00:59:59 +0100

On 08.03.2014 10:24, Pankaj Dubey wrote:
> Hi Rahul,

> I modified code as per our discussion and addressed all comments
> including moving fixed clock to DT
> and found it's working well, so we can now finalize which way to  go ahead.
> Following is some data between V4 and probable next version, which might
> help in making decision.
>
> drivers/clk/samsung/exynos5260-clock.c
>
> Before Change
> LoC: 1890
> size drivers/clk/samsung/clk-exynos5260.o
>     text       data        bss        dec        hex    filename
>    14226      14956          0      29182       71fe
> drivers/clk/samsung/clk-exynos5260.o
>
> After Change:
> LoC: 1806
> size drivers/clk/samsung/clk-exynos5260.o
>     text       data        bss        dec        hex    filename
>    15446      14544          0      29990       7526
> drivers/clk/samsung/clk-exynos5260.o

Well, somehow I've been under impression that the change would bring 
more significant results. Here we can see slight reduction in lines of 
code, but also slight increase of kernel image size. Still, in general, 
nothing extreme.

In this case I'd probably go with Rahul's original code, as it doesn't 
require second matching and separate match table, which adds redundant 
compatible strings used just for this extra matching pass.

I guess this is all just bike shedding, though.

Best regards,
Tomasz